#-*- coding:utf-8 -*-
# PyTalkTimeS.py
# Copyright (c) 2008-2010 masa 
# version = 0.01(3)

"""
This program is free software.This program is distributed 
WITHOUT ANY WARRANTY.You should use it on your own risk. 

You can modify/redistribute it under the terms of the 
GNU General Public License version 2 or later.
"""

#	!!! この部分は環境に合わせて書き換える
sound_path = "E:\\Sounds\\ttsound\\"
#	use this file for DingDong sound
DingDong_file = "00.mp3"
#

import e32
import audio
import time
import sysinfo

script_lock = e32.Ao_lock()

#	!!! この３つのdefルーチンは、環境に合わせて書き換える
#	毎時０分のためのリスト作成
def make_list_00(shour,sminute,thour):
    h1 = shour + ".wav"
    if thour >= 12:
        sdata = [DingDong_file,"its.wav",h1,"oc.wav","pm.wav"]
    else:
        sdata = [DingDong_file,"its.wav",h1,"oc.wav","am.wav"]
    return (sdata)

#	5/10/15/20/25/30/35/40/45/50/55分のリスト作成
def make_list_xx(shour,sminute,thour):
    h1 = shour + ".wav"
    m1 = sminute + ".wav"
    if thour >= 12:
        sdata = [DingDong_file,"its.wav",h1,m1,"pm.wav"]
    else:
        sdata = [DingDong_file,"its.wav",h1,m1,"am.wav"]
    return (sdata)

def make_list_dd(shour,sminute,thour):
    sdata = [DingDong_file,DingDong_file]
    return (sdata)

#	!!! ここまで


def main_proc():
    hour    = int(time.strftime('%H', time.localtime())) # 0-23
    wk      = int(time.strftime('%I', time.localtime())) # 12,1-11
    Shour   = str(wk)
    minute  = int(time.strftime('%M', time.localtime()))
    Sminute = str(minute)


    # 時報対象の分だったら、音ファイルのリストを作成する。
    # 今回は divmodは使わない。
    if   minute ==  0: Sdata = make_list_00(Shour,Sminute,hour)
    elif minute ==  5: Sdata = make_list_xx(Shour,Sminute,hour)
    elif minute == 10: Sdata = make_list_xx(Shour,Sminute,hour)
    elif minute == 15: Sdata = make_list_xx(Shour,Sminute,hour)
    elif minute == 20: Sdata = make_list_xx(Shour,Sminute,hour)
    elif minute == 25: Sdata = make_list_xx(Shour,Sminute,hour)
    elif minute == 30: Sdata = make_list_xx(Shour,Sminute,hour)
    elif minute == 35: Sdata = make_list_xx(Shour,Sminute,hour)
    elif minute == 40: Sdata = make_list_xx(Shour,Sminute,hour)
    elif minute == 45: Sdata = make_list_xx(Shour,Sminute,hour)
    elif minute == 50: Sdata = make_list_xx(Shour,Sminute,hour)
    elif minute == 55: Sdata = make_list_xx(Shour,Sminute,hour)
    else: Sdata = make_list_dd(Shour,Sminute,hour)

    def cb(prev, curr, err):
        if curr == 1: script_lock.signal()

    # play sound file
    for i in Sdata:
        Si = sound_path + i
        S = audio.Sound.open(Si)

        # 00.mp3　の音量対策（他のファイルを使った場合は影響しない）
        if i == "00.mp3": S.set_volume(7)
        else:             S.set_volume(4)

        S.play(1, 0, cb)
        script_lock.wait()
        S.close()

Profile = sysinfo.active_profile()
if Profile == "silent" or Profile == "meeting":
    pass
else:
    main_proc()

#appuifw.app.set_exit()
#sys.exit()
