#-*- coding:utf-8 -*-
# PyTalkTime.py
# Copyright (c) 2008-2010 masa 
# version = 0.01(4)

"""
This program is free software.This program is distributed 
WITHOUT ANY WARRANTY.You should use it on your own risk. 

You can modify/redistribute it under the terms of the 
GNU General Public License version 2 or later.
"""

# Please change this part according to your environment
sound_path = "E:\\Sounds\\ttsound\\"
ini_file = "E:\\Data\\masa\\PyTalkTime.ini"
# use this file when can not read ini file
DingDong_file = "00.mp3"
#

import e32
import audio
import time
import re
import sysinfo
import os

script_lock = e32.Ao_lock()

def main_proc():
    stime = time.strftime('%H:%M', time.localtime())

    # read ini file
    try :
        f = open(ini_file,'r')
        fData = f.read()
        f.close()
    except :
        fData = stime + " " + DingDong_file + " " + DingDong_file

    fData = unicode(fData)
    TalkTime_list = fData.split(u"\n")

    # search line of current time
    for lnData in TalkTime_list:
        lnDatawk = re.sub(u"[ \t]+",u" ",lnData)
        Sdata = lnDatawk.split(u" ")
        if unicode(stime) == Sdata[0]:
            break
    else:
        Sdata = [unicode(stime),unicode(DingDong_file),unicode(DingDong_file)]


    def cb(prev, curr, err):
        if curr == 1: script_lock.signal()

    # play sound file (the first data of Sdata is hh:mm)

    for i in Sdata[1:]:
        Si = os.path.join(unicode(sound_path), i)
        S = audio.Sound.open(Si)
        # my 00.mp3's volume is very low
        if i == u"00.mp3": S.set_volume(7)
        else:              S.set_volume(4)

        S.play(1, 0, cb)
        script_lock.wait()
        S.close()

Profile = sysinfo.active_profile()
if Profile == "silent" or Profile == "meeting":
    pass
else:
    main_proc()

#appuifw.app.set_exit()
#sys.exit()

